> For the complete documentation index, see [llms.txt](https://db.coolstone.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://db.coolstone.dev/1/reference/api/get.md).

# Get

## Get Record From Tag

Get a Record from it's tag.

```javascript
db.get('tag')
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>tag</td><td>The Record's tag</td><td>String</td><td>true</td></tr></tbody></table>

## Get All Records

```javascript
db.getAll(returnType)
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>returnType</td><td>Read about it <a href="/pages/KGaIfB7GtxhYbInhTeGt">here</a></td><td>Number</td><td>true</td></tr></tbody></table>

## Fuzzy Search Tags

```javascript
db.searchTags('term',returnType)
```

Fuzzy search made possible by Fuzzy (<https://www.npmjs.com/package/fuzzy>)

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>term</td><td>The search term</td><td>String</td><td>true</td></tr><tr><td>returnType</td><td>Read about it <a href="/pages/KGaIfB7GtxhYbInhTeGt">here</a></td><td>Number</td><td>true</td></tr></tbody></table>

## Get Record from Value (JSON Only)

```javascript
db.getFromValue('key','value',onlyFirst)
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox"></th></tr></thead><tbody><tr><td>key</td><td>The key to get from</td><td>String</td><td>true</td></tr><tr><td>value</td><td>The value to get from</td><td>String</td><td>true</td></tr><tr><td>onlyFirst</td><td>Return only the first found Record</td><td>Boolean</td><td>false</td></tr></tbody></table>

## Check if a Record exists

Check if a record exists.

{% hint style="warning" %}
This will only return `true` or `false`.
{% endhint %}

```javascript
db.exists('tag')
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>tag</td><td>The tag to check for</td><td>String</td><td>true</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://db.coolstone.dev/1/reference/api/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
